Back to index

python3.2  3.2.2
Classes | Functions | Variables
test.test_traceback Namespace Reference


class  SyntaxTracebackCases
class  TracebackFormatTests
class  BaseExceptionReportingTests
class  PyExcReportingTests
class  CExcReportingTests


def test_main


tuple cause_message
tuple context_message
tuple boundaries

Detailed Description

Test cases for traceback module

Function Documentation

Definition at line 332 of file

00333 def test_main():
00334     run_unittest(__name__)

Here is the call graph for this function:

Variable Documentation

Initial value:
00001 re.compile(
00002     '(%s|%s)' % (re.escape(cause_message), re.escape(context_message)))

Definition at line 186 of file

Initial value:
00001 (
00002     "\nThe above exception was the direct cause "
00003     "of the following exception:\n\n")

Definition at line 178 of file

Initial value:
00001 (
00002     "\nDuring handling of the above exception, "
00003     "another exception occurred:\n\n")

Definition at line 182 of file